divert(-1)
#
# Copyright (c) 2001, 2002 Sendmail, Inc. and its suppliers.
#	All rights reserved.
#
# By using this file, you agree to the terms and conditions set
# forth in the LICENSE file which can be found at the top level of
# the sendmail distribution.
#
#

#
#  This is the prototype file for a set-group-ID sm-msp sendmail that
#  acts as a initial mail submission program.
#

dnl #  M4 bootstrapping.
include(`../m4/cf.m4')
VERSIONID(`@(#)submit.m4 OpenPKG')
OSTYPE(@l_ostype@)

dnl #  Local Parameters.
define(`confMYHOSTNAME',   `@l_hostname@')
define(`confMYDOMAINNAME', `@l_domainname@')
define(`confMYIPADDRESS',  `0.0.0.0')
define(`confMYUSR',        `@l_musr@')
define(`confMYGRP',        `@l_mgrp@')
define(`confMYPREFIX',     `@l_prefix@')
define(`confMYBINDIR',     `confMYPREFIX/bin')
define(`confMYLIBEXECDIR', `confMYPREFIX/libexec/sendmail')
define(`confMYETCDIR',     `confMYPREFIX/etc/sendmail')
define(`confMYVARDIR',     `confMYPREFIX/var/sendmail')

dnl #  Server details.
define(`confDOMAIN_NAME', `confMYHOSTNAME.confMYDOMAINNAME')
FEATURE(custom_listen)
define(`confDONT_PROBE_INTERFACES', `True')
define(`confDEF_USER_ID', `confMYUSR:confMYGRP')
define(`confLOG_LEVEL', `9')

dnl #  External files.
define(`QUEUE_DIR',    `confMYVARDIR/mqueue')
define(`MSP_QUEUE_DIR',    `confMYVARDIR/clientmqueue')
define(`STATUS_FILE',  `confMYVARDIR/sendmail.stat')
define(`HELP_FILE',    `confMYETCDIR/sendmail.help')
define(`confHOST_STATUS_DIRECTORY', `.hoststat')
dnl #  User trusted for file ownership
define(`confTRUSTED_USER', `@l_rusr@')
define(`confRUN_AS_USER', `@l_rusr@')

dnl #  Trusted Users.
dnl #  Those can use "sendmail -f<address>"
define(`confCT_FILE', `confMYETCDIR/l.user.trusted')
FEATURE(use_ct_file)

dnl #  Aliasing.
define(`confCW_FILE', `confMYETCDIR/l.ournames')
FEATURE(use_cw_file)
define(`ALIAS_FILE', `-f confMYETCDIR/t.aliases')
define(`confUSERDB_SPEC', `confMYETCDIR/t.user')

divert(0)dnl
VERSIONID(`$Id: etc.sendmail.tar,v 1.15 2003/10/23 12:30:54 rse Exp $')
define(`confCF_VERSION', `Submit')dnl
define(`__OSTYPE__',`')dnl dirty hack to keep proto.m4 from complaining
define(`_USE_DECNET_SYNTAX_', `1')dnl support DECnet
define(`confTIME_ZONE', `USE_TZ')dnl
define(`confDONT_INIT_GROUPS', `True')dnl
dnl
dnl If you use IPv6 only, change [127.0.0.1] to [IPv6:::1]
FEATURE(`msp', `[127.0.0.1]')dnl
